Bug 477545 - (libnetdude) Review Request: libnetdude - Management framework for pcap packet traces
Review Request: libnetdude - Management framework for pcap packet traces
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
: 460886 (view as bug list)
Depends On: libpcapnav
Blocks: netdude
  Show dependency treegraph
Reported: 2008-12-21 15:18 EST by Andreas Thienemann
Modified: 2009-02-14 23:39 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-02-14 23:39:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Andreas Thienemann 2008-12-21 15:18:06 EST
SPEC: http://home.bawue.de/~ixs/libnetdude/libnetdude.spec
SRPM: http://home.bawue.de/~ixs/libnetdude/libnetdude-0.11-1.fc9.src.rpm

libnetdude allows to implement trace file manipulations at a much higher level
of abstraction than code written directly on top of the pcap library. It also
provides a command-line interface that directly lets you script all packet-
mangling capabilities provided by the set of plugins you have installed.

[athienem@localhost libnetdude]$ rpmlint
8 packages and 0 specfiles checked; 0 errors, 0 warnings.
[athienem@localhost libnetdude]$
Comment 1 Jason Tibbitts 2008-12-21 15:35:28 EST
*** Bug 460886 has been marked as a duplicate of this bug. ***
Comment 2 manuel wolfshant 2008-12-22 09:58:51 EST
Package Review

 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM: empty
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: MIT (with advertisement)
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package match the upstream source, as provided in the spec URL.
     SHA1SUM of package: 04be6bd30f854ad790ebc0e4082a664c12521ba7 libnetdude-0.11.tar.gz
 [x] Package is not known to require ExcludeArch.
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [x] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot}.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [x] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [x] Development .so files in -devel subpackage, if present.
 [x] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.
 [x] Final provides and requires are sane.
==> see also note 1

 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: devel/x86_64
 [?] Package should compile and build into binary rpms on all supported architectures.
 [x] Package functions as described.
 [x] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the test passes.

=== Notes ===
1. The documentation from the devel package includes:
I suggest to preserve to shorten the tree and relocate the content from /usr/share/gtk-doc/html/libnetdude/libnetdude to /usr/share/gtk-doc/html/libnetdude. It's not technically incorrect but it is a bit odd to have a folder containg nothing else but one folder with the same name.

*** APPROVED ***
Comment 3 Andreas Thienemann 2008-12-22 10:12:33 EST
New Package CVS Request                                                                                                      
Package Name: libnetdude                                                                    
Short Description: Management framework for pcap packet traces                                                                                                           
Owners: ixs                                                                                                                  
Branches: F-9 F-10
Comment 4 Kevin Fenzi 2008-12-22 21:58:15 EST
cvs done.
Comment 5 manuel wolfshant 2009-02-14 23:39:41 EST
seems that the package has been built for quite some time. closing.

Note You need to log in before you can comment on or make changes to this bug.